MODULE YOMRADF

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

! EMTD    - longwave emissivity
! TRSW    - shortwave absorptivity
! EMTC    - clear-sky longwave emissivity
! TRSC    - clear-sky shortwave absorptivity

! TAUAER  - prognostic aerosol variable for radiation and clouds

! SRSWD   - downward SW radiation at the surface 
! SRLWD   - downward LW radiation at the surface
! SRSWDCS - clear-sky downward SW radiation at the surface
! SRLWDCS - clear-sky downward LW radiation at the surface 
! SRSWDV  - downward SW visible radiation at the surface
! SRSWDUV - downward SW ultraviolet/visible radiation at the surface
! SRSWPAR - downward SW PAR radiation at the surface
! SRSWUVB - downward UV-B radiation at the surface
! SRSWPARC- downward clear-sky SW PAR radiation at the surface
! SRSWTINC- TOA incident solar radiation 
! RMOON   - M-F military application
! SRSWTINC- TOA incident solar radiation
! SRFDIR  - total sky direct downward SW radiation
! SRCDIR  - clear-sky direct downward SW radiation

! EMTD2    - longwave emissivity without aerosols
! TRSW2    - shortwave absorptivity without aerosols
! EMTC2    - clear-sky longwave emissivity without aerosols
! TRSC2    - clear-sky shortwave absorptivity without aerosols

REAL(KIND=JPRB),ALLOCATABLE :: EMTD(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE :: TRSW(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE :: EMTC(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE :: TRSC(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE :: EMTU(:,:,:)

REAL(KIND=JPRB),ALLOCATABLE :: TAUAER(:,:,:,:)

REAL(KIND=JPRB),ALLOCATABLE :: SRSWD(:,:)
REAL(KIND=JPRB),ALLOCATABLE :: SRLWD(:,:)
REAL(KIND=JPRB),ALLOCATABLE :: SRSWDCS(:,:)
REAL(KIND=JPRB),ALLOCATABLE :: SRLWDCS(:,:)
REAL(KIND=JPRB),ALLOCATABLE :: SRSWDV(:,:)
REAL(KIND=JPRB),ALLOCATABLE :: SRSWDUV(:,:)
REAL(KIND=JPRB),ALLOCATABLE :: EDRO(:,:)
REAL(KIND=JPRB),ALLOCATABLE :: SRSWPAR(:,:)
REAL(KIND=JPRB),ALLOCATABLE :: SRSWUVB(:,:)
REAL(KIND=JPRB),ALLOCATABLE :: SRSWPARC(:,:)
REAL(KIND=JPRB),ALLOCATABLE :: SRSWTINC(:,:)
REAL(KIND=JPRB),ALLOCATABLE :: SRFDIR(:,:)
REAL(KIND=JPRB),ALLOCATABLE :: SRCDIR(:,:)
REAL(KIND=JPRB),ALLOCATABLE :: RMOON(:,:)

! Double radiation
REAL(KIND=JPRB),ALLOCATABLE :: EMTD2(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE :: TRSW2(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE :: EMTC2(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE :: TRSC2(:,:,:)

END MODULE YOMRADF
